package com.ffii.fpsms.modules.master.entity

import com.ffii.core.support.AbstractRepository
import org.springframework.stereotype.Repository
import java.io.Serializable

@Repository
interface BomMaterialRepository : AbstractRepository<BomMaterial, Long> {
    fun findByIdAndDeletedIsFalse(id: Serializable): BomMaterial?

    fun findByM18IdAndDeletedIsFalse(m18Id: Long): BomMaterial?
}